Subject: Re: How do I get an old version of cygwin?
From: Doctor Bill <[email-masked]>
To: Cygwin List <[email-masked]>
Cc: "James M. Rogers" <[email-masked]>
Date: Tue, 18 Jan 2005 11:08:03 -0500

What I would try is:

  1. Rename the cygwin on my machine.
  2. Save and then erase the cygwin registry settings.
  3. Copy their whole cygwin installation and registry settings to your machine.
  4. Use setup to download the source packages you need that are not available
      in their distribution.
  5. Cross my fingers and hope the source packages build with the
older versions of
      the libraries.
  6. Cross my fingers and build the application.

Bill

On Mon, 17 Jan 2005 18:26:40 -0500, Larry Hall
<[email-masked]> wrote:
> At 06:11 PM 1/17/2005, you wrote:
> >My company has a small program that we use to pull data from files on multiple OSes.
> >We use the latest version of cygwin on our own internal computers to run under windows systems and this works fine.
> >
> >However, one of our clients has an old version of cygwin that uses the 1.5.4 DLL.  This is a DLL on a production box over which we have no control.  The client themselves just installs the product from another vendor and it just works.  This is not a full version of the cygwin install.  There are no build tools on this box.
> >
> >My problem is that to support this client I need to get an install of cygwin 1.5.4 onto a windows box so I can compile our program to run on their production server.
> >
> >I have tried to compile and just install the executable on their machine and that doesn't work; the DLL is the wrong version.   I have tried copying their DLL over onto my box and get the error; all my installed tools complain that there is a wrong DLL installed.
> >
> >So, what I need is to install the exact DLL and build tools, all at the same time onto a box.  I am willing to do a checkout and build from CVS if pointed to the directions on how to do this.
> >
> >Thanks in advance!
> 
> Sounds like you're out of luck then, unless someone out there has an
> entire distribution on CD circa Cygwin package version 1.5.4 or you
> rebuild all the tools you need to match that DLL.  You're probably
> better off convincing the client to update.  Either that, or get them
> to provide you the environment you need to support them.
> 
> --
> Larry Hall                              http://www.rfk.com
> RFK Partners, Inc.                      (508) 893-9779 - RFK Office
> 838 Washington Street                   (508) 893-9889 - FAX
> Holliston, MA 01746                     
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/